From 5333c59851231385f6b8dbf0dbac873d94161b03 Mon Sep 17 00:00:00 2001
From: Andrew Dunstan <andrew@dunslane.net>
Date: Sun, 18 Jul 2021 11:44:07 -0400
Subject: [PATCH 6/6] Add a getter function for a PostgresNode install_path

Experience has shown this can be useful, and while not strictly necessary
we should not normally expose the internals of PostgresNode objects.
---
 src/test/perl/PostgresNode.pm | 14 ++++++++++++++
 1 file changed, 14 insertions(+)

diff --git a/src/test/perl/PostgresNode.pm b/src/test/perl/PostgresNode.pm
index 5cfcbcf810..8158ea5b2f 100644
--- a/src/test/perl/PostgresNode.pm
+++ b/src/test/perl/PostgresNode.pm
@@ -302,6 +302,20 @@ sub backup_dir
 
 =pod
 
+=item $node->install_path()
+
+The configured install path (if any) for the node.
+
+=cut
+
+sub install_path
+{
+	my ($self) = @_;
+	return $self->{_install_path};
+}
+
+=pod
+
 =item $node->info()
 
 Return a string containing human-readable diagnostic information (paths, etc)
-- 
2.25.4

